<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');


ini_set('post_max_size', '64M');
ini_set('upload_max_filesize', '64M');


if($_GET['traza']=='si') {
	echo '<p>SESSION usuario:</p>';
	print_r($_SESSION['usuario']);
	echo '<hr>';
	echo '<p>SESSION copypaste: '.$_SESSION['copyPaste'].'</p>';
	echo '<p>SESSION usuario PermiteCopiarPegar: '.$_SESSION['usuario']['PermiteCopiarPegar'].'</p>';
	echo '<p>copypaste: '.$copyPaste.'</p>';
	
}

?>
<h2>Información del sistema</h2>

<table class="tablaFormateada">
	<tr><th>Dato</th><th>Valor</th>
	  <th>Información</th>
	</tr>
	<tr>
    	<td align="left">Empresa</td>
        <td align="left"><?php echo $_SESSION['empresa']; ?></td>
		<td align="left"><?php foreach($_SESSION['empresas'] as $item) if($item['Codigo']==$_SESSION['empresa']) echo $item['Nombre']; ?></td>
	</tr>
    <tr>
    	<td align="left">Almacén</td>
        <td align="left"><?php echo $_SESSION['almacen']; ?></td>
		<td align="left"><?php foreach($_SESSION['almacenes'] as $item) if($item['Codigo']==$_SESSION['almacen']) echo $item['Nombre']; ?></td>
    </tr>
    <?php if($_SESSION['instalacion']) { ?>
    <tr><td align="left">Instalación</td><td align="left"><?php echo $_SESSION['instalacion']; ?></td>
      <td align="left">&nbsp;</td>
    </tr>
    <?php } ?>
    <tr>
    	<td align="left">Copiar y pegar</td>
        <td align="left"><?php if($copyPaste) echo 'Permitido'; else echo 'No permitido'; ?></td>
		<td align="left"></td>
    </tr>
    <tr>
      <td align="left">Copiar y pegar usuario:</td>
      <td align="left"><?php if($_SESSION['usuario']['PermiteCopiarPegar']=='S') echo 'Permitido'; else echo 'No permitido'; ?></td>
      <td align="left">Permiso explícito en ficha de usuario Proxium</td>
    </tr>
    <tr>
    	<td align="left">Scanner GS1-128</td>
        <td align="left"><?php if($desactivaScannerBluetooth) echo 'Desactivado'; else echo 'Activado'; ?></td>
		<td align="left"><?php if($desactivaScannerBluetooth) echo 'Permite la introducción de códigos manualmente para demos.'; ?></td>
    </tr>
     <tr>
    	<td align="left">Subida de archivos POST</td>
        <td align="left">post_max_size</td>
		<td align="left"><?php echo ini_get('post_max_size'); ?></td>
    </tr>
    <tr>
    	<td align="left">Tamaño máximo archivo subido</td>
        <td align="left">upload_max_filesize</td>
		<td align="left"><?php echo ini_get('upload_max_filesize'); ?></td>
    </tr>
    <tr>
      <td align="left">Tipo conexión web-services</td>
      <td align="left"><?php if($rest_ws_url) { ?>REST<?php } else { ?>SOAP<?php } ?></td>
      <td align="left">Versión de SGA mixta ambas conexiónes</td>
    </tr>
    <tr>
      <td align="left">Variables sesión</td>
      <td align="left"><?php if($loginSesionPorCookies) echo 'Cookies'; else echo 'Session PHP'; ?></td>
      <td align="left">Tipo de almacenamiento</td>
    </tr>
</table>

<script>
$(document).ready(function() {

	//menuDesplegado(false);

});
</script>
<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>